# Interface CheerioAPI

interface CheerioAPI {
version : string;
contains (container: Element , contained: Element ): boolean;
html (options?: CheerioParserOptions ): string;
html (
dom: string | Element | Cheerio ,
options?: CheerioParserOptions ,
): string;
load (
html: string | Buffer< ArrayBufferLike >,
options?: CheerioParserOptions ,
): Root ;
load (element: Element | Element [], options?: CheerioParserOptions ): Root ;
parseHTML (
data: string,
context?: null | Document,
keepScripts?: boolean,
): Document[];
root (): Cheerio ;
xml (dom?: string | Element | Cheerio ): string;
(selector: string): Cheerio ;
(selector: string, context: string): Cheerio ;
(selector: string, context: Element ): Cheerio ;
(selector: string, context: Element []): Cheerio ;
(selector: string, context: Cheerio ): Cheerio ;
(selector: string, context: string, root: string): Cheerio ;
(selector: string, context: Element , root: string): Cheerio ;
(selector: string, context: Element [], root: string): Cheerio ;
(selector: string, context: Cheerio , root: string): Cheerio ;
(selector: any): Cheerio ;
}

#### Hierarchy (View Summary)

- Root
  - CheerioAPI

- CheerioAPI(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: string): Cheerio

  #### Parameters

  - selector: string
  - context: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: Element ): Cheerio

  #### Parameters

  - selector: string
  - context: Element

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: Element []): Cheerio

  #### Parameters

  - selector: string
  - context: Element []

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: Cheerio ): Cheerio

  #### Parameters

  - selector: string
  - context: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: string, root: string): Cheerio

  #### Parameters

  - selector: string
  - context: string
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: Element , root: string): Cheerio

  #### Parameters

  - selector: string
  - context: Element
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: Element [], root: string): Cheerio

  #### Parameters

  - selector: string
  - context: Element []
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: string, context: Cheerio , root: string): Cheerio

  #### Parameters

  - selector: string
  - context: Cheerio
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308
- CheerioAPI(selector: any): Cheerio

  #### Parameters

  - selector: any

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:308

##### Index

### Properties

version

### Methods

contains
html
load
parseHTML
root
xml

## Properties

### version

version: string

- Defined in node_modules/@types/cheerio/index.d.ts:309

## Methods

### contains

- contains(container: Element , contained: Element ): boolean

  #### Parameters

  - container: Element
  - contained: Element

  #### Returns boolean

  Inherited from Root.contains

  - Defined in node_modules/@types/cheerio/index.d.ts:299

### html

- html(options?: CheerioParserOptions ): string

  #### Parameters

  - `Optional` options: CheerioParserOptions

  #### Returns string

  Inherited from Root.html

  - Defined in node_modules/@types/cheerio/index.d.ts:302
- html(dom: string | Element | Cheerio , options?: CheerioParserOptions ): string

  #### Parameters

  - dom: string | Element | Cheerio
  - `Optional` options: CheerioParserOptions

  #### Returns string

  Inherited from Root.html

  - Defined in node_modules/@types/cheerio/index.d.ts:303

### load

- load(
  html: string | Buffer< ArrayBufferLike >,
  options?: CheerioParserOptions ,
  ): Root

  #### Parameters

  - html: string | Buffer< ArrayBufferLike >
  - `Optional` options: CheerioParserOptions

  #### Returns Root

  - Defined in node_modules/@types/cheerio/index.d.ts:310
- load(element: Element | Element [], options?: CheerioParserOptions ): Root

  #### Parameters

  - element: Element | Element []
  - `Optional` options: CheerioParserOptions

  #### Returns Root

  - Defined in node_modules/@types/cheerio/index.d.ts:311

### parseHTML

- parseHTML(
  data: string,
  context?: null | Document,
  keepScripts?: boolean,
  ): Document[]

  #### Parameters

  - data: string
  - `Optional` context: null | Document
  - `Optional` keepScripts: boolean

  #### Returns Document[]

  Inherited from Root.parseHTML

  - Defined in node_modules/@types/cheerio/index.d.ts:300

### root

- root(): Cheerio

  #### Returns Cheerio

  Inherited from Root.root

  - Defined in node_modules/@types/cheerio/index.d.ts:298

### xml

- xml(dom?: string | Element | Cheerio ): string

  #### Parameters

  - `Optional` dom: string | Element | Cheerio

  #### Returns string

  Inherited from Root.xml

  - Defined in node_modules/@types/cheerio/index.d.ts:305